Debian Bug report logs - #555398
fping: FTBFS on GNU/kFreeBSD

version graph

Package: fping; Maintainer for fping is Anibal Monsalve Salazar <anibal@debian.org>; Source for fping is src:fping.

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Mon, 9 Nov 2009 15:12:02 UTC

Severity: important

Tags: patch

Found in version fping/2.4b2-to-ipv6-16

Fixed in version fping/2.4b2-to-ipv6-16.1

Done: Axel Beckert <abe@deuxchevaux.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#555398; Package fping. (Mon, 09 Nov 2009 15:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 09 Nov 2009 15:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: fping: FTBFS on GNU/kFreeBSD
Date: Mon, 9 Nov 2009 18:11:36 +0100 (CET)
Package: fping
Version: 2.4b2-to-ipv6-16
Severity: important
Tags: patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd


Hi,

the current version fails to build on GNU/kFreeBSD.
It is due to non-portable change

  * Added interface binding (-I) for fping
    Patch by Peter Naulls <peter@mushroomnetworks.com>
    Closes: #439014

Please guard it similarly as shown bellow

Thanks in advance

                        Petr
--- a/fping.c
+++ b/fping.c
@@ -687,13 +687,13 @@
                                usage();
                        src_addr_present = 1;
                        break;
-
+#ifdef SO_BINDTODEVICE
                case 'I':
                        if (setsockopt(s, SOL_SOCKET, SO_BINDTODEVICE, optarg,
                                   strlen(optarg)))
                                err(1, "setsockopt(AF_INET, SO_BINDTODEVICE)");
                        break;
-
+#endif
                case 'T':
                        if ( ! ( select_time = ( u_int )atoi( optarg ) * 100 ) )
                                usage();





Reply sent to Axel Beckert <abe@deuxchevaux.org>:
You have taken responsibility. (Sat, 23 Jan 2010 15:42:06 GMT) Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. (Sat, 23 Jan 2010 15:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 555398-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: 555398-close@bugs.debian.org
Subject: Bug#555398: fixed in fping 2.4b2-to-ipv6-16.1
Date: Sat, 23 Jan 2010 15:40:53 +0000
Source: fping
Source-Version: 2.4b2-to-ipv6-16.1

We believe that the bug you reported is fixed in the latest version of
fping, which is due to be installed in the Debian FTP archive:

fping_2.4b2-to-ipv6-16.1.diff.gz
  to main/f/fping/fping_2.4b2-to-ipv6-16.1.diff.gz
fping_2.4b2-to-ipv6-16.1.dsc
  to main/f/fping/fping_2.4b2-to-ipv6-16.1.dsc
fping_2.4b2-to-ipv6-16.1_amd64.deb
  to main/f/fping/fping_2.4b2-to-ipv6-16.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 555398@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@deuxchevaux.org> (supplier of updated fping package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Jan 2010 16:22:02 +0100
Source: fping
Binary: fping
Architecture: source amd64
Version: 2.4b2-to-ipv6-16.1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Axel Beckert <abe@deuxchevaux.org>
Description: 
 fping      - sends ICMP ECHO_REQUEST packets to network hosts
Closes: 555398
Changes: 
 fping (2.4b2-to-ipv6-16.1) unstable; urgency=low
 .
   * NMU during Moenchengladbach BSP
   * Fixes FTBFS on kfreebsd (Closes: #555398)
   * Fixes typo "Paramter" in binary
Checksums-Sha1: 
 2658b13933ab7157f04d369164499e1cb0fa3a02 1041 fping_2.4b2-to-ipv6-16.1.dsc
 b4a6d412a041a4f5601b78772fda77bed699cfbc 8488 fping_2.4b2-to-ipv6-16.1.diff.gz
 dabfc1c392282116e84a854d201125216e785b3b 33922 fping_2.4b2-to-ipv6-16.1_amd64.deb
Checksums-Sha256: 
 a5e53ed00832af1e9fcf1acb9a99a6b5a9aca6f3442bba81f540a63f365b6e3e 1041 fping_2.4b2-to-ipv6-16.1.dsc
 de0021aba41ba6b1b98d34fb98f99bfd55455d332ed6aece83690e2d93159e6e 8488 fping_2.4b2-to-ipv6-16.1.diff.gz
 3336a92c1e8c27b5446a7cf284d6b7030bf0ffdb953230f46c08d6f29dabfc8d 33922 fping_2.4b2-to-ipv6-16.1_amd64.deb
Files: 
 cf0c33194f6d08a445d5ae4ca6f7fe0a 1041 net optional fping_2.4b2-to-ipv6-16.1.dsc
 961f312a971f5c3d08a7651e63f4e1ce 8488 net optional fping_2.4b2-to-ipv6-16.1.diff.gz
 5f2b9a3961ca51b9021e168db0cd0887 33922 net optional fping_2.4b2-to-ipv6-16.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktbFaUACgkQxa93SlhRC1qRAQCgvSMfFgEHr5PmXcyecHmbK6vW
8vwAnipLurYLz7cK3qrU2tRV3toapvm5
=bH4x
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Mar 2010 07:37:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:33:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.